%define _requires_exceptions perl(Carp::Heavy)

%define snap 20050529
%define bs_ver 0.2.0-RC8f-CVS

Summary:	Asterisk PBX
Name:		asterisk
Version:	1.1
Release:	%mkrel 0.%{snap}.2
License:	GPL
Group:		System/Servers
URL:		http://www.asterisk.org/
Source0:	http://www.asterisk.org/html/downloads/%{name}-%{version}-%{snap}.tar.bz2
Source1:	asterisk.init.bz2
# http://www.asteriskdocs.org/modules/tinycontent/content/docbook/current/AsteriskDocs-html.tar.gz
Source2:	AsteriskDocs-html.tar.bz2
# http://www.junghanns.net/asterisk/downloads/bristuff-0.2.0-rc2a.tar.gz
Source3:	http://www.junghanns.net/asterisk/downloads/bristuff-%{bs_ver}.tar.bz2
Patch0:		asterisk-1.0.8-20050529-mdk.diff.bz2
Patch1:		asterisk-1.0.8-20050422-spandsp.diff.bz2
Patch2:		asterisk-1.0.3-antibork_1.diff.bz2
Patch3:		asterisk-1.0.8-20050529-bristuff-0.2.0-RC8f-CVS.diff.bz2
Patch4:		asterisk-1.0.8-20050420-freetds_mssql.diff.bz2
Patch5:		asterisk-1.0.8-20050420-freetds-0.63.diff.bz2
Patch6:		asterisk-1.0.8-20050420-indications.diff.bz2
Patch8:		asterisk-1.0.8-20050420-h323_conf_fix.diff.bz2
Patch9:		asterisk-1.1-20050529-freetds_new_api_fix.diff
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:	mpg123
BuildRequires:	alsa-lib-devel
BuildRequires:	curl-devel
BuildRequires:	bison
BuildRequires:	freetds_mssql-devel >= 0.63
BuildRequires:	glib-devel
BuildRequires:	gtk+1.2-devel
BuildRequires:	%{mklibname pri 1}-devel >= 1.1
BuildRequires:	%{mklibname zap 1}-devel >= 1.0.1
BuildRequires:	%{mklibname tonezone 1}-devel >= 1.1
BuildRequires:	libspeex-devel
BuildRequires:	newt-devel
BuildRequires:	openh323-devel >= 1.15.3
BuildRequires:	postgresql-devel
BuildRequires:	spandsp-devel
BuildRequires:	sqlite-devel
BuildRequires:	unixODBC-devel
BuildRequires:	XFree86-devel
BuildRequires:	swig
BuildRequires:	swig-devel
BuildRequires:	osp-devel
BuildRequires:	idn-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Asterisk is an Open Source PBX and telephony development platform that
can both replace a conventional PBX and act as a platform for developing
custom telephony applications for delivering dynamic content over a
telephone similarly to how one can deliver dynamic content through a
web browser using CGI and a web server.

Asterisk talks to a variety of telephony hardware including BRI, PRI, 
POTS, and IP telephony clients using the Inter-Asterisk eXchange
protocol (e.g. gnophone or miniphone).  For more information and a
current list of supported hardware, see www.asterisk.org.

BRI support was added from the bri-stuff-%{bs_ver} tarball by
Klaus-Peter Junghanns: http://www.junghanns.net/

%package	plugins-pgsql
Summary:	PostgreSQL plugins for Asterisk
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-pgsql
This package contains PostgreSQL plugins for Asterisk:

* Simple PostgreSQL Interface
* Call Detail Recording for PostgreSQL

%package	plugins-odbc
Summary:	ODBC plugins for Asterisk
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-odbc
This package contains ODBC plugins for Asterisk:

* ODBC Configuration
* Call Detail Recording for ODBC
* ODBC resource manager

%package	plugins-tds
Summary:	FreeTDS plugins for Asterisk
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-tds
This package contains FreeTDS plugins for Asterisk:

* Call Detail Recording for FreeTDS

%package	plugins-sqlite
Summary:	SQLite plugins for Asterisk
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-sqlite
This package contains SQLite plugins for Asterisk:

* Call Detail Recording for SQLite

#%package	plugins-fax
#Summary:	FAX plugins for Asterisk
#Group:		System/Servers
#Requires(post,preun): %{name} = %{version}
#
#%description	plugins-fax
#This package contains FAX plugins for Asterisk:
#
#* Trivial FAX Receive Application
#* Trivial FAX Transmit Application
#* Assign entered string to a given variable

%package	devel
Summary:	Header files for building Asterisk modules
Group:		Development/C

%description	devel
This package contains the development header files that are needed
to compile 3rd party modules.

%package	docs
Summary:	The Hitchhiker's Guide to Asterisk
Group:		Books/Howtos

%description	docs
The Hitchhiker's Guide to Asterisk

%prep

%setup -q -n %{name}-%{version}-%{snap} -a2 -a3

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch0 -p1
#%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .bristuff
%patch4 -p1
%patch5 -p0
%patch6 -p0
%patch8 -p0
%patch9 -p0

bzcat %{SOURCE1} > asterisk.init

# lib64 fix
find -name "Makefile" | xargs perl -pi -e "s|/usr/lib|%{_libdir}|g"

# fix bri-stuff docs
mv bristuff* bri-stuff
cp bri-stuff/CHANGES CHANGES.bri-stuff
cp bri-stuff/INSTALL INSTALL.bri-stuff

# fix one convenient softlink
pushd docs-html
    ln -s book1.html index.html
popd

# these are provided by asterisk-sounds
rm -f sounds/conf-hasleft.gsm sounds/conf-thereare.gsm

%build

echo "%{version}-%{release}" > .version

make -C channels busy.h
make -C channels ringtone.h

make \
    OPTIMIZE="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE" \
    DEBUG="" \
    ASTLIBDIR=%{_libdir} \
    ZAPDIR=%{_libdir} \
    AGI_DIR=%{_localstatedir}/asterisk/agi-bin \
    MODULES_DIR=%{_libdir}/asterisk \
    ASTVARLIBDIR=%{_localstatedir}/asterisk \
    ASTETCDIR=%{_sysconfdir}/asterisk \
    ASTSPOOLDIR=%{_var}/spool/asterisk \
    ASTLOGDIR=%{_var}/log/asterisk \
    ASTHEADERDIR=%{_includedir}/asterisk \
    ASTBINDIR=%{_bindir} \
    ASTSBINDIR=%{_sbindir} \
    ASTVARRUNDIR=%{_var}/run/asterisk \
    ASTMANDIR=%{_mandir}

# make the muted binary
make \
    OPTIMIZE="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE" \
    DEBUG="" \
    ASTLIBDIR=%{_libdir} \
    ZAPDIR=%{_libdir} \
    AGI_DIR=%{_localstatedir}/asterisk/agi-bin \
    MODULES_DIR=%{_libdir}/asterisk \
    ASTVARLIBDIR=%{_localstatedir}/asterisk \
    ASTETCDIR=%{_sysconfdir}/asterisk \
    ASTSPOOLDIR=%{_var}/spool/asterisk \
    ASTLOGDIR=%{_var}/log/asterisk \
    ASTHEADERDIR=%{_includedir}/asterisk \
    ASTBINDIR=%{_bindir} \
    ASTSBINDIR=%{_sbindir} \
    ASTVARRUNDIR=%{_var}/run/asterisk \
    ASTMANDIR=%{_mandir} \
    muted

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_libdir}/pkgconfig
install -d %{buildroot}%{_var}/run/asterisk
install -d %{buildroot}%{_var}/log/asterisk/cdr-csv
install -d %{buildroot}%{_var}/log/asterisk/cdr-custom
install -d %{buildroot}%{_var}/log/asterisk/testreports

install -d %{buildroot}%{_var}/www/{html,cgi-bin}

make \
    DESTDIR="%{buildroot}" \
    ASTLIBDIR=%{_libdir} \
    AGI_DIR=%{_localstatedir}/asterisk/agi-bin \
    MODULES_DIR=%{_libdir}/asterisk \
    ASTVARLIBDIR=%{_localstatedir}/asterisk \
    ASTETCDIR=%{_sysconfdir}/asterisk \
    ASTSPOOLDIR=%{_var}/spool/asterisk \
    ASTLOGDIR=%{_var}/log/asterisk \
    ASTHEADERDIR=%{_includedir}/asterisk \
    ASTBINDIR=%{_bindir} \
    ASTSBINDIR=%{_sbindir} \
    ASTVARRUNDIR=%{_var}/run/asterisk \
    ASTMANDIR=%{_mandir} \
    HTTPDIR="%{_var}/www" \
    install

# fix broken softlinks
ln -snf voicemail/default %{buildroot}%{_var}/spool/asterisk/vm
ln -snf ../../../spool/asterisk/vm %{buildroot}%{_localstatedir}/asterisk/sounds
ln -snf ../../../spool/asterisk/voicemail %{buildroot}%{_localstatedir}/asterisk/sounds/voicemail
ln -snf ../../../spool/asterisk/voicemail %{buildroot}%{_var}/spool/asterisk/voicemail

# install init scrips
install -m0755 asterisk.init %{buildroot}%{_initrddir}/asterisk

# fix man page
gunzip %{buildroot}%{_mandir}/man8/asterisk.8*

# install missing h323 config file
install -m0644 channels/h323/h323.conf.sample %{buildroot}%{_sysconfdir}/asterisk/h323.conf

# fix config files
perl -pi -e "s|%{buildroot}||g" %{buildroot}%{_sysconfdir}/asterisk/*

# fix two naughty bugs
perl -pi -e "s|/usr/local|/usr|g" %{buildroot}%{_libdir}/asterisk/perl/WebServer.pm

# fix logrotation
cat > %{buildroot}%{_sysconfdir}/logrotate.d/asterisk << EOF
%{_var}/log/asterisk/console %{_var}/log/asterisk/debug %{_var}/log/asterisk/messages %{_var}/log/asterisk/queue_log %{_var}/log/asterisk/event_log %{_var}/log/asterisk/cdr-csv/Master.csv {
    weekly
    rotate 5
    copytruncate
    compress
    notifempty
    missingok
    postrotate
      %{_sbindir}/asterisk -rx 'reload'
    endscript
}
EOF

# install the muted stuff
install -m0755 muted %{buildroot}%{_sbindir}/
install -m0644 muted.conf.sample %{buildroot}%{_sysconfdir}/muted.conf

cat > README.MDK << EOF
T O D O
-------

* ?


E R R A T A
-----------

The MOH (music on hold) and in several other places of the sourcecode 
(app_meetme.c, app_zapbarge.c,app_zapscan.c,chan_iax2.c,chan_zap.c,
res_musiconhold.c,zaptel.c,ztmonitor.c,zttest.c) a /dev/zap/pseudo
device is needed. This device is vendor specific. The source lacks 
ifdefs in many places that would enable usage of another device.

The MOH feature requires a timing device, and currently the 
/dev/zap/pseudo device is used for that also (or the ztdummy.c kernel 
module from the zaptel kernel module source). 

There is another timing device (actually a kernel module) named zaprtc 
found at http://www.junghanns.net/ but it seems it will clash with dual
CPU systems (HT, etc.) because of the internal kernel use of the
vanilla rtc kernel module.

For fresh information about this please visit this resource:
http://www.voip-info.org/wiki-Asterisk+Timer

Asterisk is not a plug and play software. The learning curve is pretty
steep. You have a head start if you allready are working within the
telecom business and know each protocol spec by heart.

R E F L E C T I O N S
---------------------

I would say this software is pretty much locked to one vendor at this
point. So if you don't go and buy hardware from the author, you will 
experience problems...

Regards // Oden Eriksson
EOF

# install extra (forgotten?) headers
install -m0644 *.h %{buildroot}%{_includedir}/asterisk/

#%pre
#%_pre_useradd asterisk %{_localstatedir}/asterisk /bin/sh

%post
%_post_service asterisk

%preun
%_preun_service asterisk

#%postun
#%_postun_userdel asterisk

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS ChangeLog CREDITS HARDWARE LICENSE README* SECURITY sounds.txt apps/rpt_flow.pdf
%doc doc/*README* doc/*.txt contrib/init.d/rc.mandrake* contrib/asterisk-ices.xml
%doc contrib/scripts contrib/i18n.testsuite.conf contrib/README.festival
%doc CHANGES.bri-stuff INSTALL.bri-stuff
%attr(0755,root,root) %{_initrddir}/asterisk
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/asterisk
%attr(0755,root,root) %dir %{_sysconfdir}/asterisk
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/*.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/*.adsi
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/muted.conf
%exclude %{_sysconfdir}/asterisk/*sql*.conf
%exclude %{_sysconfdir}/asterisk/*odbc*.conf
%exclude %{_sysconfdir}/asterisk/*tds*.conf
%attr(0755,root,root) %{_sbindir}/*
%attr(0755,root,root) %{_libdir}/asterisk/app_*.so
%attr(0755,root,root) %{_libdir}/asterisk/cdr_*.so
%attr(0755,root,root) %{_libdir}/asterisk/chan_*.so
%attr(0755,root,root) %{_libdir}/asterisk/codec_*.so
%attr(0755,root,root) %{_libdir}/asterisk/format_*.so
%attr(0755,root,root) %{_libdir}/asterisk/pbx_*.so
%attr(0755,root,root) %{_libdir}/asterisk/res_*.so
%attr(0755,root,root) %{_libdir}/asterisk/func_callerid.so
%exclude %{_libdir}/asterisk/*sql*.so
%exclude %{_libdir}/asterisk/*odbc*.so
%exclude %{_libdir}/asterisk/*tds*.so
%exclude %{_libdir}/asterisk/*sqlite*.so
#%exclude %{_libdir}/asterisk/app_*fax.so
#%exclude %{_libdir}/asterisk/app_dtmftotext.so
%attr(0644,root,root) %{_localstatedir}/asterisk/sounds/*.gsm
%attr(0644,root,root) %{_localstatedir}/asterisk/sounds/dictate/*.gsm
%attr(0644,root,root) %{_localstatedir}/asterisk/sounds/digits/*.gsm
%attr(0644,root,root) %{_localstatedir}/asterisk/sounds/letters/*.gsm
%attr(0644,root,root) %{_localstatedir}/asterisk/sounds/phonetic/*.gsm
%attr(0644,root,root) %{_localstatedir}/asterisk/mohmp3/*
%attr(0644,root,root) %{_localstatedir}/asterisk/images/*
%attr(0644,root,root) %{_localstatedir}/asterisk/keys/*
%attr(0755,root,root) %{_localstatedir}/asterisk/agi-bin/*
%attr(0755,root,root) %{_localstatedir}/asterisk/firmware/iax/*.bin
%attr(0644,root,root) %{_var}/spool/asterisk/voicemail/default/1234/*.gsm
%attr(0755,root,root) %{_localstatedir}/asterisk/sounds/vm
%attr(0755,root,root) %{_localstatedir}/asterisk/sounds/voicemail
%attr(0755,root,root) %{_var}/spool/asterisk/vm
%attr(0755,root,root) %{_var}/spool/asterisk/voicemail/voicemail
%attr(0755,root,root) %dir %{_var}/log/asterisk
%attr(0755,root,root) %dir %{_var}/log/asterisk/cdr-csv
%attr(0755,root,root) %dir %{_var}/log/asterisk/cdr-custom
%attr(0755,root,root) %dir %{_var}/log/asterisk/testreports
%attr(0755,root,root) %dir %{_var}/run/asterisk
%{_mandir}/man8/asterisk.8*
%attr(4755,root,root) %{_var}/www/cgi-bin/vmail.cgi
%attr(0644,root,root) %{_var}/www/html/_asterisk/animlogo.gif
%attr(0644,root,root) %{_var}/www/html/_asterisk/play.gif

%files plugins-pgsql
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/cdr_pgsql.conf
%attr(0755,root,root) %{_libdir}/asterisk/app_sql_postgres.so
%attr(0755,root,root) %{_libdir}/asterisk/cdr_pgsql.so

%files plugins-odbc
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/*odbc*.conf
%attr(0755,root,root) %{_libdir}/asterisk/*odbc*.so

%files plugins-tds
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/cdr_tds.conf
%attr(0755,root,root) %{_libdir}/asterisk/cdr_tds.so

%files plugins-sqlite
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/asterisk/cdr_sqlite.so

#%files plugins-fax
#%defattr(-,root,root)
#%attr(0755,root,root) %{_libdir}/asterisk/app_*fax.so
#%attr(0755,root,root) %{_libdir}/asterisk/app_dtmftotext.so

%files devel
%defattr(-,root,root)
%attr(0644,root,root) %{_includedir}/asterisk/*.h
%{_libdir}/pkgconfig/asterisk.pc

%files docs
%defattr(-,root,root)
%doc docs-html/*

%changelog
* Mon Sep 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-0.20050529.2mdk
- rebuild
- use sane deps names
- added P9 due api changes in new freetds libs

* Wed Jun 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-20050529.1mdk
- use a more appropriate version because this is really HEAD and not 1.0.8

* Tue May 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050529.1mdk
- new snap (20050529)
- bristuff-0.2.0-RC8f-CVS (P3)
- drop P7 - not needed anymore
- drop P9 - applied upstream

* Tue May 17 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.6mdk
- added one gcc4 fix in P3 (debian)
- added support for Swedish and Norwegian in app_voicemail.c (P9)
  (Daniel Nylander)

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.5mdk
- bristuff-0.2.0-RC8a-CVS (P3)
- mention the bristuff version in the description

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.4mdk
- heh! i had totally forgotten i packed the osptoolkit, so why not enable it?
- fix deps

* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.3mdk
- fix openh323 driver build on x86_64
- fix deps

* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.2mdk
- added some missing/forgotten log directories
- let the openh323 driver listen on 0.0.0.0 (P8)

* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.1mdk
- bristuff-0.2.0-RC8-CVS
- provide the asterisk-addons stuff from another package
- added more countries in the indications.conf file
- deactivate the fax stuff, it won't build
- activate the openh323 stuff as it builds now (on cooker/10.2)

* Fri Apr 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-5mdk
- bristuff-0.2.0-RC8
- fix the sysv script after looking at what's in the contribs directory

* Wed Apr 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-4mdk
- rebuilt against new postgresql libs

* Sun Apr 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-3mdk
- argh!, i missed the offending "extern int errno;" stuff

* Sat Apr 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-2mdk
- more freetds 0.63 fixes (P8)
- add forgotten errno.h header inclusion in app_rxfax.c and app_txfax.c

* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7
- rediff P0 and touch P4
- added P8

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- rediff P0,P3,P4
- bristuff-0.2.0-RC7k
- use the %%mkrel macro
- revert the broken usage of broken out libs such as db1, gsm,
  libedit, libilbc and lpc10. this might work better sometime 
  in the future.
- link against the new mssql friendly freetds lib, deps and P7
- fix #12534 

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-4mdk
- rebuilt against MySQL-4.1.x and PostgreSQL-8.x system libs

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-3mdk
- fixed P0 to remove readline-devel deps

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-2mdk
- added missing headers

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3
- bristuff-0.2.0-RC3 (P3)
- rediffed P0, P2
- added P6

* Fri Nov 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-2mdk
- bristuff-0.2.0-rc2a (P3), added missing arguments in apps/app_rpt.c
- deactivate chan_h323 as it's too broken
- deactivate res_perl, it won't build
- turn off debug

* Mon Nov 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- rediffed P0
- bristuff-0.2.0-rc2 (P3)

* Mon Oct 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.1-2mdk
- oops!, have to hack the perl stuff some more before building it...

* Mon Oct 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1
- rediffed P3
- added the perl stuff

* Mon Sep 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-4mdk
- fixed P1 (gsm and ilbc is shared libraries now)
- openh323-devel seemed borked, require >= 1.13.5.3-2mdk

* Sun Sep 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-3mdk
- fixed P1
- added P3 by Klaus-Peter Junghanns

* Sun Sep 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-2mdk
- add one small fix in P0 and also mention that fragments of it 
  originates from debian.

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- fix url

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.20040916.3mdk
- Rebuild with latest pwlib/openh323

* Tue Sep 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040916.2mdk
- fix BuildRequires (Stefan van der Eijk <stefan@eijk.nu>)

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040916.1mdk
- 20040916
- fix some bugs
- fix P0
- broke out some of the stuff into their respective plugins sub packages
- added the muted stuff
- added the README.MDK file

* Tue Sep 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040914.1mdk
- 20040914
- make it compile on cooker too
- merged P0 - P8 -> P0
- added the cdr_mysql code from the asterisk-addons package (merged into P0)
- added format_mp3 asterisk-addon stuff from the asterisk-addons package
- added the docs from http://www.asteriskdocs.org/

* Mon Sep 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040912.1mdk
- 20040912
- rediff P0
- added the spandsp addon (P2)
- added logrotate stuff

* Sun Sep 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.2mdk
- fix the patches
- added P2, P3, P4, P5, P6 & P7

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.1mdk
- initial mandrake package
- used the provided spec file by Robert Vojta as a template
- added P0 & P1
